> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get the content body of a Dogecoin Ordinals inscription by inscription ID including binary data and metadata.

# Content by Inscription ID



## OpenAPI

````yaml dogecoin/blockchain-indexer-api/openapi.json get /assets/inscriptions/{inscription_id}/content_body
openapi: 3.0.3
info:
  title: Dogecoin - Blockchain Indexer API
  description: Core indexer endpoints dedicated to Dogecoin metaprotocols.
  contact:
    name: Maestro Blockchain Inc.
    url: https://gomaestro.org/
    email: info@gomaestro.org
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.1.1
servers:
  - url: https://xdg-mainnet.gomaestro-api.org/v0
    description: Dogecoin Mainnet
  - url: https://xdg-testnet.gomaestro-api.org/v0
    description: Dogecoin Testnet
security:
  - api-key: []
paths:
  /assets/inscriptions/{inscription_id}/content_body:
    get:
      tags:
        - Inscriptions
      summary: Content by Inscription ID
      description: >-
        Paginated response of the content body byte array of an inscription.
        This endpoint is

        complementary to the "Inscription Information" endpoint.
      operationId: content_by_inscription_id
      parameters:
        - name: inscription_id
          in: path
          description: Inscription ID
          required: true
          schema:
            type: string
          example: 7d0a2dd897222913d58fc957b0429526117a0a61c964642fe93b077f328ccec1i0
        - name: count
          in: query
          description: The max number of bytes per page
          required: false
          schema:
            allOf:
              - type: integer
                default: 100
                minimum: 0
            nullable: true
        - name: cursor
          in: query
          description: >-
            Pagination cursor string: the offset in the content body. Use the
            cursor to query for the next page
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedContentBody'
              example:
                data:
                  content_body_page: >-
                    AAECAwQFBgcICQoLDA0ODxAREhMUFRYXGBkaGxwdHh8gISIjJCUmJygpKissLS4vMDEyMzQ1Njc4OTo7PD0+P0BBQkNERUZHSElKS0xNTk9QUVJTVFVWV1hZWltcXV5fYGFiYw==
                  remaining_bytes: 2935
                  total_length: 3035
                last_updated:
                  block_hash: >-
                    00000000000000000000ec10254178fe52253f40c1fad252e892d9aa22ee8fa7
                  block_height: 866710
                next_cursor: AAAAAAAAAGQ
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    PaginatedContentBody:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/ContentBody'
        last_updated:
          $ref: '#/components/schemas/LastUpdated'
        next_cursor:
          type: string
          nullable: true
    ContentBody:
      type: object
      required:
        - content_body_page
        - total_length
        - remaining_bytes
      properties:
        content_body_page:
          type: string
          description: >-
            Base64-encoded representation of a slice of the inscription content
            body. All types supported.
        remaining_bytes:
          type: integer
          format: int64
          description: Number of bytes remaining in the inscription content body.
          minimum: 0
        total_length:
          type: integer
          format: int64
          description: Number of bytes in entire inscription content body.
          minimum: 0
    LastUpdated:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
        block_height:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````